org.apache.maven.plugin.logging

## Interface Log

All Known Implementing Classes:
  DefaultLog, SystemStreamLog

    public interface Log

This interface supplies the API for providing feedback to the user from the `Mojo`, using standard `Maven` channels.
There should be no big surprises here, although you may notice that the methods accept `java.lang.CharSequence` rather than `java.lang.String`. This is provided mainly as a convenience, to enable developers to pass things like `java.lang.StringBuffer` directly into the logger, rather than formatting first by calling `toString()`.

Version:
  $Id: Log.java 495147 2007-01-11 07:47:53Z jvanzyl $
Author:
  jdcasey

### Method Summary

Methods
`void` `debug(java.lang.CharSequence content)` Send a message to the user in the debug error level.
`void` `debug(java.lang.CharSequence content, java.lang.Throwable error)` Send a message (and accompanying exception) to the user in the debug error level.
`void` `debug(java.lang.Throwable error)` Send an exception to the user in the debug error level.
`void` `error(java.lang.CharSequence content)` Send a message to the user in the error error level.
`void` `error(java.lang.CharSequence content, java.lang.Throwable error)` Send a message (and accompanying exception) to the user in the error error level.
`void` `error(java.lang.Throwable error)` Send an exception to the user in the error error level.
`void` `info(java.lang.CharSequence content)` Send a message to the user in the info error level.
`void` `info(java.lang.CharSequence content, java.lang.Throwable error)` Send a message (and accompanying exception) to the user in the info error level.
`void` `info(java.lang.Throwable error)` Send an exception to the user in the info error level.
`boolean` `isDebugEnabled()`
`boolean` `isErrorEnabled()`
`boolean` `isInfoEnabled()`
`boolean` `isWarnEnabled()`
`void` `warn(java.lang.CharSequence content)` Send a message to the user in the warn error level.
`void` `warn(java.lang.CharSequence content, java.lang.Throwable error)` Send a message (and accompanying exception) to the user in the warn error level.
`void` `warn(java.lang.Throwable error)` Send an exception to the user in the warn error level.

### Method Detail

#### isDebugEnabled

    boolean isDebugEnabled()

Returns:
  true if the debug error level is enabled

#### debug

    void debug(java.lang.CharSequence content)

Send a message to the user in the debug error level.

Parameters:
  `content` -

#### debug

    void debug(java.lang.CharSequence content,
             java.lang.Throwable error)

Send a message (and accompanying exception) to the user in the debug error level.
The error's stacktrace will be output when this error level is enabled.

Parameters:
  `content` -
  `error` -

#### debug

    void debug(java.lang.Throwable error)

Send an exception to the user in the debug error level.
The stack trace for this exception will be output when this error level is enabled.

Parameters:
  `error` -

#### isInfoEnabled

    boolean isInfoEnabled()

Returns:
  true if the info error level is enabled

#### info

    void info(java.lang.CharSequence content)

Send a message to the user in the info error level.

Parameters:
  `content` -

#### info

    void info(java.lang.CharSequence content,
            java.lang.Throwable error)

Send a message (and accompanying exception) to the user in the info error level.
The error's stacktrace will be output when this error level is enabled.

Parameters:
  `content` -
  `error` -

#### info

    void info(java.lang.Throwable error)

Send an exception to the user in the info error level.
The stack trace for this exception will be output when this error level is enabled.

Parameters:
  `error` -

#### isWarnEnabled

    boolean isWarnEnabled()

Returns:
  true if the warn error level is enabled

#### warn

    void warn(java.lang.CharSequence content)

Send a message to the user in the warn error level.

Parameters:
  `content` -

#### warn

    void warn(java.lang.CharSequence content,
            java.lang.Throwable error)

Send a message (and accompanying exception) to the user in the warn error level.
The error's stacktrace will be output when this error level is enabled.

Parameters:
  `content` -
  `error` -

#### warn

    void warn(java.lang.Throwable error)

Send an exception to the user in the warn error level.
The stack trace for this exception will be output when this error level is enabled.

Parameters:
  `error` -

#### isErrorEnabled

    boolean isErrorEnabled()

Returns:
  true if the error error level is enabled

#### error

    void error(java.lang.CharSequence content)

Send a message to the user in the error error level.

Parameters:
  `content` -

#### error

    void error(java.lang.CharSequence content,
             java.lang.Throwable error)

Send a message (and accompanying exception) to the user in the error error level.
The error's stacktrace will be output when this error level is enabled.

Parameters:
  `content` -
  `error` -

#### error

    void error(java.lang.Throwable error)

Send an exception to the user in the error error level.
The stack trace for this exception will be output when this error level is enabled.

Parameters:
  `error` -